Main Page Class Hierarchy Compound List File List Compound Members File Members

# RequestTemplate Class Reference

`#include <request_template.h>`

Inheritance diagram for RequestTemplate:

List of all members.

## Public Member Functions
| RequestTemplate ()
| ~RequestTemplate ()
void | SetMyInteger (int p_int)
bool | SetMyString (const char *p_str)
int | GetMyInteger () const
char * | GetMyString () const
## Protected Member Functions
long | BufferInitAlloc ()
void | FormatDerivativeData ()
void | ParseDerivativeData ()
## Protected Attributes
int | MyInt
char | MyCharPointer
int | MyStringLength

## Constructor & Destructor Documentation

RequestTemplate::RequestTemplate | ( |  | ) |

| Definition at line 37 of file request_template.cpp. References MyCharPointer, MyInt, and MyStringLength.

RequestTemplate::~RequestTemplate | ( |  | ) |

| Definition at line 52 of file request_template.cpp. References MyCharPointer.

## Member Function Documentation

long RequestTemplate::BufferInitAlloc | ( |  | ) | `[protected, virtual]`

| Reimplemented from MutableServerRequest. Definition at line 140 of file request_template.cpp. References MutableServerRequest::BufferInitAlloc(), and MyCharPointer.

void RequestTemplate::FormatDerivativeData | ( |  | ) | `[protected, virtual]`

| Reimplemented from MutableServerRequest. Definition at line 187 of file request_template.cpp. References MutableServerRequest::FormatDerivativeData().

int RequestTemplate::GetMyInteger | ( |  | ) | const

| Definition at line 127 of file request_template.cpp. References MyInt.

char * RequestTemplate::GetMyString | ( |  | ) | const

| Definition at line 129 of file request_template.cpp. References MyCharPointer.

void RequestTemplate::ParseDerivativeData | ( |  | ) | `[protected, virtual]`

| Reimplemented from MutableServerRequest.

void RequestTemplate::SetMyInteger | ( | int | p_int | ) |

| Definition at line 69 of file request_template.cpp. References MyInt.

bool RequestTemplate::SetMyString | ( | const char * | p_str | ) |

| Definition at line 71 of file request_template.cpp. References MyCharPointer, and MyStringLength.

## Member Data Documentation

char RequestTemplate::MyCharPointer`[protected]`

| Definition at line 152 of file request_template.h. Referenced by BufferInitAlloc(), GetMyString(), RequestTemplate(), SetMyString(), and ~RequestTemplate().

int RequestTemplate::MyInt`[protected]`

| Definition at line 150 of file request_template.h. Referenced by GetMyInteger(), RequestTemplate(), and SetMyInteger().

int RequestTemplate::MyStringLength`[protected]`

| Definition at line 154 of file request_template.h. Referenced by RequestTemplate(), and SetMyString().

The documentation for this class was generated from the following files:

- request_template.h
- request_template.cpp